<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <title>Export exercices itslearning pour Elea</title>
</head>

<body>
<div class="container">
    <h1>Outil permettant l'export des exercices Itslearning et l'import dans Elea</h1>
    <div class="row">
        <p>Démarche à suivre</p>
        <ul>
            <li>1ère étape: dans ElycoV3(itslearning), exporter les questions d'un exercice.
                Vous pouvez suivre <a href="tutoPourExport.pdf" target="_blank">ce tutoriel</a> pour faire cet export en fonction de la version des exercices.
                En fonction de la version de vos exercices, vous obtiendrez soit un fichier zip soit un fichier xlsx.
            </li>
            <li>2ème étape : utiliser le "petit" formulaire ci-dessous.</li>
            <li>3ème étape : un fichier texte va être automatiquement généré. Saisir son nom (par défaut il a pour
                nom questions_and_answers.txt) et choisir l'emplacement pour l'enregistrer.
            </li>
            <li>4ème étape : dans Elea, à partir d'un parcours choisir <i>plus</i> puis <i>banque de questions</i>. Ensuite dans
                la zone de liste, choisir <i>importer</i> et cocher <i>format GIFT</i>. Sélectionner le fichier texte enregistré
                précédemment puis importer.
            </li>
            <li>5ème étape : <a href="https://dne-elearning.gitlab.io/moodle-elea/documentation/docs/Professeurs/Integrer%20des%20activites/Integrer_une_activite_Test/" target="_blank">ajouter une activité "test"</a> puis dans l'onglet "Questions", ajouter les questions créées "depuis la banque de questions".
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="alert alert-secondary" role="alert">
            Pour l'ancienne version des exercices
        </div>

        <p>Remarque : cet outil récupère</p>
        <ul>
            <li>les questions type choix multiple (intitulés de la question et des réponses)</li>
            <li>les questions type réponse multiple (intitulés de la question et des réponses)</li>
            <li>les questions type alternative</li>
            <li>les questions type réponse courte</li>
            <li>les questions type mots manquants mais uniquement celles avec des propositions de réponse</li>
        </ul>

        <div class="form-group">
            <label for="fileInputZip" class="form-label">Choisir le fichier .zip</label>
            <input type="file" class="form-control-file" id="fileInputZip">
            <button class="btn btn-primary" onclick="readZip()">Générer fichier pour Elea</button>
        </div>
    </div>
    <div class="row mt-4">
        <div class="alert alert-dark" role="alert">
            Pour la nouvelle version des exercices
        </div>
        <p>Remarque : cet outil récupère</p>
        <ul>
            <li>les questions type choix multiple (intitulés de la question et des réponses)</li>
            <li>les questions type réponse multiple (intitulés de la question et des réponses)</li>
            <li>les questions type alternative</li>
            <li>les questions type réponse courte</li>
            <li>uniquement l'intitulé des questions type mots manquants</li>
        </ul>

        <div class="form-group">
            <label for="fileInputXlsx" class="form-label">Choisir le fichier .xlsx</label>
            <input type="file" class="form-control-file" id="fileInputXlsx">
            <button class="btn btn-primary" onclick="readXlsx()">Générer fichier pour Elea</button>
        </div>
    </div>
</div>

<div class="container mt-5">
    <h2>Avertissements</h2>
    <p>L'utilitaire est fourni en l'état, sans garantie de bon fonctionnement ou de correctifs.</p>
    <p>Parmi les limites connues :</p>
    <ul>
        <li>Pour les textes à trou, seul l'intitulé de la question est récupéré.</li>
        <li>La récupération des appariements n'est pas fonctionnelle.</li>
        <li>De manière générale, aucun média (image, son, vidéo) n'est exporté depuis itslearning. Ces contenus ne sont donc pas récupérables.</li>
        <li>La conversion ne se lance pas si un type de question non pris en charge est présent dans l'exercice.</li>
        <li>L'export produit comporte parfois des erreurs de formatage qui peuvent être bloquantes dans moodle.</li>
        <li>Pour les nouveaux exercices, il faut qu'au moins un utilisateur ait répondu à l'exercice pour pouvoir exporter les résultats (il est possible d'ajouter un collègue comme élève pour lui demander de fournir une série de réponses).</li>
    </ul>
</div>

<script src="https://cdn.jsdelivr.net/npm/@zip.js/zip.js/dist/zip.min.js"></script>
<script src="JsForXml.js"></script>
<script src="https://unpkg.com/xlsx/dist/xlsx.full.min.js"></script>
<script src="JsForXlsx.js"></script>
</body>

</html>
